// MaxKernel.h: interface for the CMaxKernel class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAXKERNEL_H__041D60D5_7AB1_44EF_A48D_220431FA26C9__INCLUDED_)
#define AFX_MAXKERNEL_H__041D60D5_7AB1_44EF_A48D_220431FA26C9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Rasterizer\Kernel.h"

#include "MaxMaterial.h"

class CMaxKernel : public CKernel  
{
protected:
	static DWORD m_dwNumMaterials;

public:
	CMaxKernel();
	virtual ~CMaxKernel();

	static CMaxMaterial* LookupMaterial(DWORD dwID);
	static DWORD		 LookupMaterial(CMaxMaterial* lpMaterial);

	static void WriteMaterial(CFileStream* lpStream);
};

#endif // !defined(AFX_MAXKERNEL_H__041D60D5_7AB1_44EF_A48D_220431FA26C9__INCLUDED_)
